curl --location --request POST 'https://api-35.elogii.com/driver-schedule-exceptions/createMany' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"items": [
{
"driver":{
"_id":"67000000000000000079"
},
"dateRange": {
"startDate": "20250225",
"endDate": "20250227"
},
"description": "PTO",
"dayOff": true,
"overrides": {
"scheduleKeys": "string",
"schedule": {
"timeWindows": [
{
"start": 480,
"end": 1440
}
],
"breaks": [
{
"timeWindow": {
"start": 560,
"end": 640
},
"offset": {
"start": 0,
"end": 0
},
"duration": 30
}
],
"skills": [
"string"
],
"maxMultiDayRouteDays": 0
}
}
},
{
"driver":{
"_id":"67ac00000000000e900058"
},
"dateRange": {
"startDate": "20250225",
"endDate": "20250227"
},
"description": "PTO",
"dayOff": true,
"overrides": {
"scheduleKeys": "string",
"schedule": {
"timeWindows": [
{
"start": 480,
"end": 1440
}
],
"breaks": [
{
"timeWindow": {
"start": 560,
"end": 640
},
"offset": {
"start": 0,
"end": 0
},
"duration": 30
}
],
"skills": [
"string"
],
"maxMultiDayRouteDays": 0
}
}
}
]
}'{
"result": 2,
"errors": [],
"ids": [
"67b4f0000000000001d4",
"67b000000000000000d6"
]
}